Get Accounts

List every account, or look up accounts by name.

This method allows you to get details of one or multiple accounts in Saner Server. It only requires the name of accounts to be updated. If no name is provided, all account details are fetched. The attribute ‘agentautoupgrade’ represents if agents under the account is automatically upgraded, default value is true.

KeyMeaningMandatoryData Type
nameName of the account to fetch details for. If not provided, all account details are fetched.Nostring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response = client.Account.get(
    name=["Acc1","Acc2"]
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json